Bug 1227575 - Exception on emptying the search field when many users were reported
Summary: Exception on emptying the search field when many users were reported
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic (Show other bugs)
(Show other bugs)
Version: 3.7
Hardware: Unspecified Unspecified
unspecified
high
Target Milestone: ---
: 3.7
Assignee: Alex Eng
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-03 04:11 UTC by Damian Jansen
Modified: 2015-07-22 02:19 UTC (History)
2 users (show)

Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3709)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-22 02:19:41 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2015-06-03 04:11:46 UTC
Description of problem:
If the user enters a character like "a" into the search field, then deletes it, an exception occurs.

Version-Release number of selected component (if applicable):
3.7-snapshot

How reproducible:
Easy always

Steps to Reproduce:
1. With a large (eg. production size) database to test on, enter "a" into the project search
2. Delete the character

Actual results:
javax.servlet.ServletException: UT000047: The number of parameters exceeded the maximum of 1000

Expected results:
No response

Additional info:
Happens when the list of users returned by the "a" search is very large.

Comment 1 Alex Eng 2015-06-03 04:27:12 UTC
Issue cause by user search on top bar which we didn't limit the search result.

Pull request:
https://github.com/zanata/zanata-server/pull/844

Comment 2 Damian Jansen 2015-06-04 01:20:41 UTC
Verified at dedd1e9f0da49f4fbe9fe38861677d970fada27c


Note You need to log in before you can comment on or make changes to this bug.